﻿using DropDownSample.UI.Panels;
using Rhino;
using Rhino.Commands;
using Rhino.UI;

namespace DropDownSample.RhinoCommands
{
    [System.Runtime.InteropServices.Guid("ACCE7570-690C-4A6D-832F-557E570B10F3")]
    public class RC_DDPanel : Command
    {
        public RC_DDPanel()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;

            Panels.RegisterPanel(PlugIn,
                                 typeof(DDPanel),
                                 "DDPanel",
                                 null);
        }

        ///<summary>The only instance of this command.</summary>
        public static RC_DDPanel Instance { get; private set; }
        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName
        {
            get { return "DDPanel"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            Panels.OpenPanel(DDPanel.PanelId, true);
            return Result.Success;
        }
    }
}
