﻿using DropDownSample.UI.Types;
using Eto.Forms;


namespace DropDownSample.UI.Controls
{
    class DDTextCell : CustomCell
    {
        public DDTextCell()
        {
            this.CommitEdit += new System.EventHandler<CellEventArgs>(OnCommitEdit);
        }

        #region Events
        private void OnCommitEdit(object sender, CellEventArgs e)
        {

        }
        #endregion

        protected override Control OnCreateCell(CellEventArgs args)
        {
            if (args.Item is DDGridItem item)
            {
                TextBox textBox = new TextBox
                {
                    TextAlignment = TextAlignment.Left,
                    ShowBorder = false,
                };
                textBox.BindDataContext(c => c.Text, Binding.Property((DDGridItem i) => i.StringProperty));
                return textBox;
            }
            return base.OnCreateCell(args);
        }

        protected override void OnConfigureCell(CellEventArgs args, Control control)
        {
            if (args.Item is DDGridItem item &&
                control is TextBox textBox &&
                item.GetValue(args.Column) is string value)
            {
                textBox.Text = value;
            }
            else
            {

            }
        }
    }
}
