﻿using Eto.Forms;
using System.ComponentModel;

namespace DropDownSample.UI.Types
{
    class DDGridItem : GridItem, INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

		private DDElement elementProperty;
		public DDElement ElementProperty
		{
			get => elementProperty;
			set
			{
				if (elementProperty != value)
				{
					elementProperty = value;
					PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(ElementProperty)));
				}
			}
		}

		private string stringProperty;
		public string StringProperty
		{
			get => stringProperty;
			set
			{
				if (stringProperty != value)
				{
					stringProperty = value;
					PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(StringProperty)));
				}
			}
		}
	}
}
